#include <Arduino.h>
#include "Terrain.h"

extern const int MAXROW;
extern const int MAXCOLUMN;

void Terrain::generateObstacle(){
    for (int j=0;j<=width;j++){
        map[length][j]=0;
    }
    int bombLocation = int(random(MAXCOLUMN));
    if (bombLocation < MAXCOLUMN) {
        map[length][bombLocation] = 1;
    }
}

void Terrain::moveObstacle(){
    for (int i=0;i<length;i++){
        for (int j=0;j<=width;j++){
            map[i][j]=map[i+1][j];
        }
    }

    for (int j=0;j<=width;j++){
        map[length][j]=0;
    }
}


int Terrain::getLength(){
    return length;
}

int Terrain::getWidth(){
    return width;
}

int Terrain::getPosition(int row, int col){
    return map[row][col];
}

